package com.soss.system.service;

import com.soss.system.domain.Coupon;
import com.soss.system.domain.po.CouponPo;

import java.util.List;

/**
 * <p>
 * 优惠券 服务类
 * </p>
 *
 * @author caiyt
 * @since 2022-07-21
 */
public interface ICouponService {

    List<Coupon> list(Coupon coupon);

    Coupon detail(Integer id);

    void save(CouponPo couponPo);

    void update(CouponPo couponPo);

    int onlineCoupon(Integer id);

    int offlineCoupon(Integer id);

    int deleteCoupon(Integer id);

    List<Coupon> getEffectiveCoupon();
}
