package com.soss.system.domain.vo;

import com.soss.system.domain.po.CouponPo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class CouponVo extends CouponPo {

    @ApiModelProperty("优惠券规则id")
    private Integer ruleId;

    @ApiModelProperty("优惠劵规则名称")
    private String ruleName;

    @ApiModelProperty("优惠劵规则描述")
    private String ruleDesc;

    @ApiModelProperty("优惠券编码")
    private String serialNo;

    @ApiModelProperty("优惠券类型 1 抵扣 2 折扣 3 免单")
    private Integer type;

    @ApiModelProperty("优惠券类型描述")
    private String typeDesc;

    @ApiModelProperty("优惠券状态")
    private Integer state;

    @ApiModelProperty("优惠券状态描述")
    private String stateDesc;

    @ApiModelProperty("优惠券类别名")
    private String categoryName;

    @ApiModelProperty("可用商品类别描述")
    private String categoryDesc;

    @ApiModelProperty("可用商品描述")
    private String goodsDesc;

    @ApiModelProperty("可用省份描述")
    private String provinceDesc;

    @ApiModelProperty("可用城市描述")
    private String cityDesc;

    @ApiModelProperty("可用区域描述")
    private String areaDesc;

    @ApiModelProperty("可用店铺描述")
    private String shopDesc;
}
