package com.soss.system.service;

import com.soss.system.domain.vo.CouponVo;

import java.util.List;

/**
 * <p>
 * 用户领取优惠券记录表 服务类
 * </p>
 *
 * @author caiyt
 * @since 2022-07-21
 */
public interface ICouponUserService {

    void giveUserCoupon(Long userId, String phone, Integer couponId);

    void receiveCoupon(Long userId, Integer id);

    int getUserAvailableCouponCnt(Long userId);

    List<CouponVo> listUserAvailableCoupon(Long userId);
}
